/*
 * Copyright 2006 Takahiro Nakamura.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package woolpack.el.convert;

import junit.framework.TestCase;
import woolpack.validator.DefaultValueValidator;

public class ValidatorConverterTest extends TestCase {

	public void testConstructor() {
		try {
			new ValidatorConverter(null);
			fail();
		} catch (final NullPointerException expected) {
		}
	}

	public void testNormal() {
		final Convertable convertable = new ValidatorConverter(
				new DefaultValueValidator("fixedValue0"));
		assertEquals("fixedValue0", convertable.convert("beforeValue0", null,
				"property0"));
		assertEquals("fixedValue0", convertable
				.convert(null, null, "property0"));
	}
}
